Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.brook
Interface IPlayer

    public interface IPlayer

Player Java Implementation. Generated by metaabm system: Nov 18, 2008 11:59:45 PM PST in project: org.metaabm.examples.ascape

Method Summary
`void` | `dieAtAge()` .
`void` | `dieAtWealth0()` .
`void` | `fissionRule()` .
`int` | `getAge()` Gets the Age property for Player.
`int` | `getWealth()` Gets the Wealth property for Player.
`void` | `intializeNonFramework()` .
`boolean` | `isCooperate()` Gets the Cooperate property for Player.
`void` | `moveToRandomLocation()` .
`void` | `playNeighbor()` .
`void` | `randomWalk()` .
`void` | `setAge(int _age)` Sets the Age property for Player.
`void` | `setCooperate(boolean _cooperate)` Sets the Cooperate property for Player.
`void` | `setWealth(int _wealth)` Sets the Wealth property for Player.
`void` | `updateAge()` Increment the Age by One..

Method Detail

### intializeNonFramework

    void intializeNonFramework()

  .

### moveToRandomLocation

    void moveToRandomLocation()

  .

### randomWalk

    void randomWalk()

  .

### playNeighbor

    void playNeighbor()

  .

### updateAge

    void updateAge()

  Increment the Age by One..

### fissionRule

    void fissionRule()

  .

### dieAtAge

    void dieAtAge()

  .

### dieAtWealth0

    void dieAtWealth0()

  .

### isCooperate

    boolean isCooperate()

  Gets the Cooperate property for Player.

  Returns:

### setCooperate

    void setCooperate(boolean _cooperate)

  Sets the Cooperate property for Player.

  Parameters:
    `_cooperate` - the new Cooperate value

### getAge

    int getAge()

  Gets the Age property for Player.

  Returns:

### setAge

    void setAge(int _age)

  Sets the Age property for Player.

  Parameters:
    `_age` - the new Age value

### getWealth

    int getWealth()

  Gets the Wealth property for Player.

  Returns:

### setWealth

    void setWealth(int _wealth)

  Sets the Wealth property for Player.

  Parameters:
    `_wealth` - the new Wealth value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD